1. Plans
VeloeSIM API
  • VeloeSIM
    • Plans
      • getAllPlans
        GET
      • getOnePlan
        GET
    • Organizations
      • getMyOrganization
    • Orders
      • orderOne
    • Esims
      • getAllEsims
      • getOneEsim
      • getEsimTopUpPlans
      • topUpEsim
  • Schemas
    • Plan
    • PlansListResponse
    • Organization
    • OrderRequest
    • TopUpRequest
    • Esim
    • EsimsListResponse
    • Area
    • Network
    • AssignedPlan
    • AreaSimple
  1. Plans

getOnePlan

GET
/api/wholesale/plans/{id}
Retrieve a single plan by ID.

Request

Authorization
or
Path Params

Responses

🟢200
application/json
Successful response
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/api/wholesale/plans/'
Response Response Example
{
    "id": 3035,
    "dataAmount": 1000,
    "duration": 7,
    "price": 3.66,
    "areas": [
        {
            "id": 5,
            "name": "Colombia",
            "region": "South America",
            "iso": "CO",
            "networks": [
                {
                    "name": "Colombia Mobil S.A.",
                    "brandName": "Tigo",
                    "mcc": "732",
                    "mnc": "103",
                    "tagid": "COLCO",
                    "speed": [
                        "2G",
                        "3G",
                        "4G"
                    ]
                }
            ]
        }
    ]
}
Modified at 2026-06-08 10:30:45
Previous
getAllPlans
Next
getMyOrganization
Built with